# module GlobalID::Identification

### Public Instance Methods

to_gid(options = {})
Alias for: to_global_id
to_gid_param(options = {}) click to toggle source

    # File lib/global_id/identification.rb, line 12
    def to_gid_param(options = {})
      to_global_id(options).to_param
    end

to_global_id(options = {}) click to toggle source

    # File lib/global_id/identification.rb, line 7
    def to_global_id(options = {})
      @global_id ||= GlobalID.create(self, options)
    end

Also aliased as: to_gid
to_sgid(options = {})
Alias for: to_signed_global_id
to_sgid_param(options = {}) click to toggle source

    # File lib/global_id/identification.rb, line 21
    def to_sgid_param(options = {})
      to_signed_global_id(options).to_param
    end

to_signed_global_id(options = {}) click to toggle source

    # File lib/global_id/identification.rb, line 16
    def to_signed_global_id(options = {})
      SignedGlobalID.create(self, options)
    end

Also aliased as: to_sgid